#include "colors.inc"
#include "textures.inc"


global_settings { assumed_gamma 1.0 }

//background cor branco
 background   { color rgb <1, 1, 1> }
 
//camera
//direction : Sets, among other things, the field of view of the camera
//right: Sets the aspect ratio of the image
//look_at: Tells the camera where to look
 camera       { location  <0.0, 0.5, -4.0>
                direction 1.5*z
                right     x*image_width/image_height
                look_at   <0.0, 0.0, 0.0> }
 
//Fonte de luz
//color : branco
//translate : desloca a luz para o lugar desejado
 light_source { <0, 0, 0>
                color rgb <1, 1, 1>
                translate <-5, 5, -5> }

//Fonte de luz
//color : cor cinza
//translate : Moves the light source to a desired location
 light_source { <0, 0, 0>
                color rgb <0.25, 0.25, 0.25>
                translate <6, -6, -6> }
 
//Sets a box
//pigment : Sets a color for the box ("Red" as defined in "colors.inc")
//finish  : Sets how the surface of the box reflects light
//normal  : Sets a bumpiness for the box using the "agate" in-built model
//rotate : Rotates the box

box          { <-0.5, -0.5, -0.5>,
                <0.5, 0.5, 0.5>
                texture { 
		    pigment { color Red }
                    finish  { specular 0.6 }
                }

                rotate <45,46,47> 
	     }
