  #include "colors.inc"    // The include files contain
  #include "stones.inc"    // pre-defined scene elements
  #include "textures.inc"  // pre-defined scene elements
  #include "shapes.inc"
  #include "glass.inc"
  #include "metals.inc"
  #include "woods.inc"

#declare poster = 0;

background { color White }


camera {
    location <1.4, 2.8, 1.4>
    sky      <0.0, 0.0, 1.0>
    look_at  <0.4, 0.5, 0.33>
    angle    45
}

light_source { <1.0, 1.0, 1.0> color 0.70
		area_light
		<1.5, 0, 0>,<0,1.5,0> 10, 10
}


#declare Color0       = rgb <1.0, 0.0, 0.0>;
#declare Color01      = rgb <0.8, 0.2, 0.0>;
#declare Color02      = rgb <0.6, 0.4, 0.0>;
#declare Color03      = rgb <0.4, 0.6, 0.0>;
#declare Color04      = rgb <0.2, 0.8, 0.0>;
#declare Color05      = rgb <0.0, 1.0, 0.0>;
#declare Color06      = rgb <0.0, 0.8, 0.2>;
#declare Color07      = rgb <0.0, 0.6, 0.4>;
#declare Color08      = rgb <0.0, 0.4, 0.6>;
#declare Color09      = rgb <0.0, 0.2, 0.8>;
#declare Color1       = rgb <0.0, 0.0, 1.0>;



#declare Color2       = rgb <0.95, 0.50, 0.0>;
#declare Color3       = rgb <0.00, 0.5, 0.95>;
#declare ColorNeutral = rgb <0.0, 1.0, 0.0>;

#declare ColorB       = rgb <1.0, 1.0, 1.0>;


#macro SLS(x0,y0,z0,x1,y1,z1, Color)
  sphere {
    <x0, y0, z0>, 0.020
    texture {
      pigment { color Color }
      finish { reflection 0.1 specular 0.7 roughness 0.95}
    }
  }
  sphere {
    <x1, y1, z1>, 0.020
    texture {
      pigment { color Color }
      finish { reflection 0.1 specular 0.7 roughness 0.95}
    }
  }
 cylinder {
    <x0, y0, z0>,  // Center of one end
    <x1, y1, z1>,  // Center of other end
    0.0125         // Radius
    open           // Remove end caps
    texture {
      pigment { color Color }
      finish { reflection 0.15 specular 0.7 roughness 0.8}
      }
  }
#end


#macro SLS0(x0,y0,z0,x1,y1,z1)
SLS(x0,y0,z0,x1,y1,z1, Color0)
#end

#macro SLS1(x0,y0,z0,x1,y1,z1)
SLS(x0,y0,z0,x1,y1,z1, Color1)
#end

#macro sample(xx, yy, Color)
sphere {
    <xx, yy, 0>, 0.025
    texture {
      pigment { color Color }
      finish { reflection 0.1 specular 0.7 roughness 0.95}
    }
  }
#end


#macro line (x0,y0,z0,x1,y1,z1)
 cylinder {
    <x0, y0, z0>,  // Center of one end
    <x1, y1, z1>,  // Center of other end
    0.004          // Radius
    open           // Remove end caps
    texture {
      pigment { rgbf <0.8, 1.0, 0.8, 0.65> }  // A blue-tinted glass
      }
  }
#end

#macro Arrow(x0,y0,z0,x1,y1,z1,AAA)
#declare x1 = x0 + AAA * (x1-x0);
#declare y1 = y0 + AAA * (y1-y0);
#declare z1 = z0 + AAA * (z1-z0);
#declare xm = x0 + 0.9 * (x1-x0);
#declare ym = y0 + 0.9 * (y1-y0);
#declare zm = z0 + 0.9 * (z1-z0);

union {
  cylinder {
    <x0, y0, z0>,  // Center of one end
    <xm, ym, zm>,  // Center of other end
    0.005          // Radius
    }
  cone {
    <xm, ym, zm>,   0.012
    <x1, y1, z1>, 0 
    }
  pigment { rgbf <0.0, 0.7, 0.5, 0.55> }
  finish  { reflection 0.00 specular 0.15 roughness 0.90}
  interior{ ior 0.98 }
}

#end



// Arrow X

cylinder {
    <0, 0, 0>,  // Center of one end
    <1, 0, 0>,  // Center of other end
    0.01        // Radius
    open        // Remove end caps
    texture {
      pigment { color ColorNeutral }
      }
  }

cone {
    <1, 0, 0>,   0.02
    <1.1, 0, 0>, 0 
    open
    texture {
      pigment { color ColorNeutral }
      }
   }



//   Arrow Y

cylinder {
    <0, 0, 0>,  // Center of one end
    <0, 1, 0>,  // Center of other end
    0.01        // Radius
    open        // Remove end caps
    texture {
      pigment { color ColorNeutral }
      }
  }

cone {
    <0, 1, 0>,   0.02
    <0.0, 1.1, 0>, 0 
    open
    texture {
      pigment { color ColorNeutral }
      }
   }


//   Arrow Z
cylinder {
    <0, 0, 0>,  // Center of one end
    <0, 0, 1>,  // Center of other end
    0.01        // Radius
    open        // Remove end caps
    texture {
      pigment { color ColorNeutral }
      }
  }

cone {
    <0, 0, 1>,   0.02
    <0.0, 0, 1.1>, 0 
    open
    texture {
      pigment { color ColorNeutral }
      }
   }

#macro planColor()
     pigment {
     #if (poster)
        color rgbf <1.0, 1.0, 1.0, 0.0>
     #else
        color rgbf <1.0, 1.0, 1.0, 0.0>
     #end
     }
     finish {reflection 0.01 specular 0.60 roughness 0.00}
#end

box{ <0,0,0.0>, <1,1,-0.01> //direita
   planColor()
   }

box{ <0,0,0.0>, <1,-0.01,1> //baixo
   planColor()
   }
 
box{ <0,0,0.0>, <-0.01,1,1> //esquerda
   planColor()
   }



